diff --git a/books/bookvol10.1.pamphlet b/books/bookvol10.1.pamphlet
index ad4fc73..803ce2b 100644
--- a/books/bookvol10.1.pamphlet
+++ b/books/bookvol10.1.pamphlet
@@ -2415,6 +2415,17 @@ are the same. We are trying to predict patterns of how words occur
 in documents instead of trying to predict patterns of how players 
 score on holes.
 \chapter{Quaternions}
+from\cite{1}:
+\begin{quotation}
+Quaternions are inextricably linked to rotations.
+Rotations, however, are an accident of three-dimensional space.
+In spaces of any other dimensions, the fundamental operations are
+reflections (mirrors). The quaternion algebra is, in fact, merely a
+sub-algebra of the Clifford algebra of order three. If the quaternion
+algebra might be labelled the algebra of rotations, then the Clifford
+algebra is the algebra of mirrors and it is thus vastly more general
+than quaternion algebra. 
+\end{quotation}
 \begin{center}
 \bigskip
 \large Peter Guthrie Tait, Robert S. Sutor, Timothy Daly
@@ -7595,106 +7606,108 @@ Gaussian Elimination
 \chapter{Diophantine Equations}
 Diophantine Equations
 \begin{thebibliography}{99}
-\bibitem{1} Laurent Bertrand. Computing a hyperelliptic integral using
+\bibitem{1} Altmann, Simon L. Rotations, Quaternions, and Double Groups
+Dover Publications, Inc. 2005 ISBN 0-486-44518-6
+\bibitem{2} Laurent Bertrand. Computing a hyperelliptic integral using
 arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
 Engineering, Communication and Computing}, 6:275-298, 1995
-\bibitem{2} M. Bronstein. On the integration of elementary functions.
+\bibitem{3} M. Bronstein. On the integration of elementary functions.
 {\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
-\bibitem{3} M. Bronstein. The Risch differential equation on an
+\bibitem{4} M. Bronstein. The Risch differential equation on an
 algebraic curve. In S.Watt, editor, {\sl Proceedings of ISSAC'91},
 pages 241-246, ACM Press, 1991.
-\bibitem{4} M. Bronstein. {\sl Symbolic Integration I--Transcendental
+\bibitem{5} M. Bronstein. {\sl Symbolic Integration I--Transcendental
 Functions.} Springer, Heidelberg, 1997
-\bibitem{5} M. Bronstein. The lazy hermite reduction. Rapport de
+\bibitem{6} M. Bronstein. The lazy hermite reduction. Rapport de
 Recherche RR-3562, INRIA, 1998
-\bibitem{6} E. Hermite. Sur l'int\'{e}gration des fractions
+\bibitem{7} E. Hermite. Sur l'int\'{e}gration des fractions
 rationelles. {\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
-\bibitem{7} Daniel Lazard and Renaud Rioboo. Integration of rational
+\bibitem{8} Daniel Lazard and Renaud Rioboo. Integration of rational
 functions: Rational coputation of the logarithmic part {\sl Journal of
 Symbolic Computation}, 9:113-116:1990
-\bibitem{8} Joseph Liouville. Premier m\'{e}moire sur la
+\bibitem{9} Joseph Liouville. Premier m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
 alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148,
 1833
-\bibitem{9} Joseph Liouville. Second m\'{e}moire sur la
+\bibitem{10} Joseph Liouville. Second m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
 alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193,
 1833
-\bibitem{10} Thom Mulders. A note on subresultants and a correction to
+\bibitem{11} Thom Mulders. A note on subresultants and a correction to
 the lazard/rioboo/trager formula in rational function integration {\sl
 Journal of Symbolic Computation}, 24(1):45-50, 1997
-\bibitem{11} M.W. Ostrogradsky. De l'int\'{e}gration des fractions
+\bibitem{12} M.W. Ostrogradsky. De l'int\'{e}gration des fractions
 rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
 l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
 IV:145-167,286-300, 1845
-\bibitem{12} Robert Risch. On the integration of elementary functions
+\bibitem{13} Robert Risch. On the integration of elementary functions
 which are built up using algebraic operations. Research Report
 SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA,
 1968
-\bibitem{13} Robert Risch. Further results on elementary
+\bibitem{14} Robert Risch. Further results on elementary
 functions. Research Report RC-2042, IBM Research, Yorktown Heights,
 NY, USA, 1969
-\bibitem{14} Robert Risch, The problem of integration in finite
+\bibitem{15} Robert Risch, The problem of integration in finite
 terms. {\sl Transactions of the American Mathematical Society}
 139:167-189, 1969
-\bibitem{15} Robert Risch. The solution of problem of integration in
+\bibitem{16} Robert Risch. The solution of problem of integration in
 finite terms. {\sl Transactions of the American Mathematical Society}
 76:605-608, 1970
-\bibitem{16} Robert Risch. Algebraic properties of the elementary
+\bibitem{17} Robert Risch. Algebraic properties of the elementary
 functions of analysis. {\sl American Journal of Mathematics},
 101:743-759, 1979
-\bibitem{17} Maxwell Rosenlicht. Integration in finite terms. {\sl
+\bibitem{18} Maxwell Rosenlicht. Integration in finite terms. {\sl
 American Mathematical Monthly}, 79:963-972, 1972
-\bibitem{18} Michael Rothstein. A new algorithm for the integration of
+\bibitem{19} Michael Rothstein. A new algorithm for the integration of
 exponential and logarithmic functions. In {\sl Proceedings of the 1977
 MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
-\bibitem{19} Barry Trager. Algebraic factoring and rational function
+\bibitem{20} Barry Trager. Algebraic factoring and rational function
 integration. In {Proceedings of SYMSAC'76} pages 219-226, 1976
-\bibitem{20} Barry Trager {\sl On the integration of algebraic
+\bibitem{21} Barry Trager {\sl On the integration of algebraic
 functions}, PhD thesis, MIT, Computer Science, 1984
-\bibitem{21} M. van Hoeij. An algorithm for computing an integral
+\bibitem{22} M. van Hoeij. An algorithm for computing an integral
 basis in an algebraic function field. {\sl J. Symbolic Computation}
 18(4):353-364, October 1994
-\bibitem{22} Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
+\bibitem{23} Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
 vari\'{e}t\'{e}s Abeliennes} Hermann, Paris, 1971
-\bibitem{23} D.Y.Y. Yun. On square-free decomposition algorithms. In
+\bibitem{24} D.Y.Y. Yun. On square-free decomposition algorithms. In
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
-\bibitem{24} Bronstein, Manuel "Symbolic Integration Tutorial"
+\bibitem{25} Bronstein, Manuel "Symbolic Integration Tutorial"
 INRIA Sophia Antipolis ISSAC 1998 Rostock
-\bibitem{25} Jenks, R.J. and Sutor, R.S. 
+\bibitem{26} Jenks, R.J. and Sutor, R.S. 
 ``Axiom -- The Scientific Computation System''
 Springer-Verlag New York (1992)
 ISBN 0-387-97855-0
-\bibitem{26} Knuth, Donald E., ``Literate Programming''
+\bibitem{27} Knuth, Donald E., ``Literate Programming''
 Center for the Study of Language and Information
 ISBN 0-937073-81-4
 Stanford CA (1992) 
-\bibitem{27} Daly, Timothy, ``The Axiom Wiki Website''\\
+\bibitem{28} Daly, Timothy, ``The Axiom Wiki Website''\\
 {\bf http://axiom.axiom-developer.org}
-\bibitem{28} Watt, Stephen, ``Aldor'',\\
+\bibitem{29} Watt, Stephen, ``Aldor'',\\
 {\bf http://www.aldor.org}
-\bibitem{29} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+\bibitem{30} Lamport, Leslie, ``Latex -- A Document Preparation System'',
 Addison-Wesley, New York ISBN 0-201-52983-1
-\bibitem{30} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+\bibitem{31} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
 Literate Programming''\\
 {\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
-\bibitem{31} Daly, Timothy, "The Axiom Literate Documentation"\\
+\bibitem{32} Daly, Timothy, "The Axiom Literate Documentation"\\
 {\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
-\bibitem{32} {\bf http://www.puffinwarellc.com/p3a.htm}
-\bibitem{33} Tait, P.G.,
+\bibitem{33} {\bf http://www.puffinwarellc.com/p3a.htm}
+\bibitem{34} Tait, P.G.,
 {\it An Elementary Treatise on Quaternions} \\
 C.J. Clay and Sons, Cambridge University Press Warehouse,
 Ave Maria Lane 1890
-\bibitem{34} Knuth, Donald, {\it The \TeX{}book} \\
+\bibitem{35} Knuth, Donald, {\it The \TeX{}book} \\
 Reading, Massachusetts, 
 Addison-Wesley Publishing Company, Inc., 
 1984. ISBN 0-201-13448-9
-\bibitem{35} Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
-\bibitem{36} Conway, John H. and Smith, Derek, A., 
+\bibitem{36} Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
+\bibitem{37} Conway, John H. and Smith, Derek, A., 
 "On Quaternions and Octonions", A.K Peters, Natick, MA. (2003)
 ISBN 1-56881-134-9
-\bibitem{37} http://mathworld.wolfram.com/Quaternion.html
+\bibitem{38} http://mathworld.wolfram.com/Quaternion.html
 \end{thebibliography}
 \end{document}
 
diff --git a/changelog b/changelog
index 02990d7..e6dd95f 100644
--- a/changelog
+++ b/changelog
@@ -1,4 +1,6 @@
-20100209 tpd src/axiom-website/patches.html 20100212.01.tpd.patch
+20100212 tpd src/axiom-website/patches.html 20100212.02.tpd.patch
+20100212 tpd books/bookvol10.1 add quaternion quote from Altmann
+20100212 tpd src/axiom-website/patches.html 20100212.01.tpd.patch
 20100212 tpd src/interp/pf2sex.lisp removed
 20100212 tpd src/interp/Makefile remove pf2sex
 20100212 tpd books/bookvol5 merge and remove pf2sex
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 63f1439..a5ad61d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2449,5 +2449,7 @@ books/bookvol5 treeshake ptrees, pf2sex<br/>
 books/bookvol5 treeshake ptrees, pf2sex<br/>
 <a href="patches/20100212.01.tpd.patch">20100212.01.tpd.patch</a>
 books/bookvol5 merge and remove pf2sex<br/>
+<a href="patches/20100212.02.tpd.patch">20100212.02.tpd.patch</a>
+books/bookvol10.1 add quaternion quote from Altmann<br/>
  </body>
 </html>
